Instalar PHP5 y Mysql5 en Plesk 8.1.1

Una vez que has instalado el Plesk 8.1.1 (supongo que son 8.1.0 también funcionará) sobre CentOS 4.4 por defecto hay que solucionar algunos problemas de dependencias borrando un módulo y el sitebuilder, tienes que ejecutar:

rpm -e php-sqlite2 sb-publish-3.0.1-200610111446.noarch

Para instalar PHP 5.1 y Mysql 5.0 hay que activar el repositorio de CentOS 4 llamado CentOS Plus, que solo funciona en CentOS 4 para servidores y es compatible con instalaciones de Linux de 32-bit y 64-bit.

» Para activar el repositorio CentOS Plus, ejecuta el siguiente comando: nano /etc/yum.repos.d/CentOS-Base.repo
» Busca la sección llamada [centosplus] y localiza “enabled=0” y cambia esa linea por “enabled=1“, entonces guarda el fichero pulsando CTRL+X, pulsa Y (Yes/Si) y pulsa intro.
» Ahora ya estas listo para actualizar los paquetes de PHP y MySQL, ejecuta: yum update php mysql-server
» Te fallará el ioncube, así que debe editar con joe o vi el fichero /etc/php.d/ioncube-loader.ini y cambiar la ruta del módulo del ioncubre por /opt/php51/lib/php5/ioncube_loader_lin_5.1.so u otra para que sea el módulo compatible con php 5.1
» Y para finalizar reinicia el apache con: service httpd restart
» Y acto seguido reinicia el MySQL con: service mysqld restart

Ya tienes tu sistema con Plesk 8.1 y CentOS 4 funcionando con PHP 5.1 y Mysql 5.0.

Esperamos que esta información te sea de utilidad para tu instalación de Plesk, y si tienes dudas consulta la web oficial de Plesk o CentOS.

Y por supuesto si necesitas buenos servidores dedicados, consultanos.

Actualización 25-04-2007: Cuidado al instalar el soporte mysql5 bajo Plesk 8.0, ya que según nos comenta nuestro amigo Vicente, probando sobre un plesk 8.0 todo el sistema de panel ha dejado de funcionar. Actualiza antes a la versión 8.1.1 o superior.

Comments are closed.